Package org.apache.torque.generator.control.existingtargetstrategy

# Class AppendToTargetFileStrategy

java.lang.Object
org.apache.torque.generator.control.existingtargetstrategy.AppendToTargetFileStrategy

All Implemented Interfaces:
  `ExistingTargetStrategy`

public class AppendToTargetFileStrategy extends Object implements ExistingTargetStrategy
A handler which implements the strategy to append the generation result to the existing target files.

Version:
  $Id: AppendToTargetFileStrategy.java 1917241 2024-04-21 13:29:41Z tv $

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STRATEGY_NAME`
  The strategy name "append".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppendToTargetFileStrategy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterGeneration(String outputDirKey, String outputPath, Charset charSet, OutletResult generationResult, UnitConfiguration unitConfiguration)`
  Processes the results of the generation.
  `boolean`
  `beforeGeneration(String outputDirKey, String outputPath, Charset charSet, UnitConfiguration unitConfiguration)`
  Will be called before the generation is started and decides whether the generation process for this file should proceed.
  `String`
  `getStrategyName()`
  Returns the name of the existing target strategy.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STRATEGY_NAME

    public static final String STRATEGY_NAME
    The strategy name "append".
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AppendToTargetFileStrategy

    public AppendToTargetFileStrategy()

- ## Method Details

  - ### beforeGeneration

    public boolean beforeGeneration(String outputDirKey, String outputPath, Charset charSet, UnitConfiguration unitConfiguration)
    Will be called before the generation is started and decides whether the generation process for this file should proceed.
    Specified by:
      `beforeGeneration` in interface `ExistingTargetStrategy`
    Parameters:
      `outputDirKey` - the key for the output directory into which the generated file should be written, null for the default output directory.
      `outputPath` - the path to which the output should be written, relative to the output base directory.
      `charSet` - The character encoding of the generated file, or null for the platform default encoding.
      `unitConfiguration` - the configuration of the current configuration unit, not null.
    Returns:
      true always.

  - ### afterGeneration

    public void afterGeneration(String outputDirKey, String outputPath, Charset charSet, OutletResult generationResult, UnitConfiguration unitConfiguration) throws GeneratorException
    Processes the results of the generation.
    Specified by:
      `afterGeneration` in interface `ExistingTargetStrategy`
    Parameters:
      `outputDirKey` - the key for the output directory into which the generated file should be written, null for the default output directory.
      `outputPath` - the path to which the output should be written, relative to the output base directory.
      `charSet` - The character encoding of the generated file, or null for the platform default encoding.
      `generationResult` - the result of the generation, not null.
      `unitConfiguration` - the configuration of the current configuration unit, not null.
    Throws:
      `GeneratorException` - on an error.

  - ### getStrategyName

    public String getStrategyName()
    Returns the name of the existing target strategy.
    Specified by:
      `getStrategyName` in interface `ExistingTargetStrategy`
    Returns:
      "replace"